javax.jdo.metadata

## Interface VersionMetadata

- All Superinterfaces:
    Metadata

      public interface VersionMetadata
      extends Metadata

  Represents versioning of a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumn()` Accessor for the version column name
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the version.
    `Indexed` | `getIndexed()` Accessor for whether indexed (true|false|unique).
    `IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata on this version.
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this version.
    `VersionStrategy` | `getStrategy()` Accessor for the version strategy.
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this version.
    `IndexMetadata` | `newIndexMetadata()` Method to set index metadata for the version.
    `VersionMetadata` | `setColumn(String column)` Method to set the version column name.
    `VersionMetadata` | `setIndexed(Indexed indexed)` Method to set whether indexed.
    `VersionMetadata` | `setStrategy(VersionStrategy strategy)` Method to set the version strategy.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setStrategy

          VersionMetadata setStrategy(VersionStrategy strategy)

      Method to set the version strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getStrategy

          VersionStrategy getStrategy()

      Accessor for the version strategy.
      Returns:
        The strategy

    - #### setColumn

          VersionMetadata setColumn(String column)

      Method to set the version column name.
      Parameters:
        `column` - Name of the version column
      Returns:
        This metadata object

    - #### getColumn

          String getColumn()

      Accessor for the version column name
      Returns:
        The version column name

    - #### setIndexed

          VersionMetadata setIndexed(Indexed indexed)

      Method to set whether indexed.
      Parameters:
        `indexed` - Whether indexed (true | false | unique)
      Returns:
        This metadata object

    - #### getIndexed

          Indexed getIndexed()

      Accessor for whether indexed (true|false|unique).
      Returns:
        Indexed?

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the version.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this version.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this version.
      Returns:
        The number of columns

    - #### newIndexMetadata

          IndexMetadata newIndexMetadata()

      Method to set index metadata for the version.
      Returns:
        The IndexMetadata

    - #### getIndexMetadata

          IndexMetadata getIndexMetadata()

      Accessor for any index metadata on this version.
      Returns:
        Index metadata

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.